Remitter Profile

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code - 1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Outlet-IdStringMerchant unique IDMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN

Request Parameters


ParametersTypeRequirementDescription
mobileNumberStringMandatoryRemitter Mobile Number
txnModeStringOptionalIt will be ALL or NEFT
iftEnableStringOptionalIt will be YES

Sample Request

curl --location 'https://api.instantpay.in/fi/remit/out/domestic/v2/remitterProfile' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endpointIp}}' \
--header 'X-Ipay-Outlet-Id: {{outletId}}'
--header 'Content-Type: application/json' \
--data '{
      "mobileNumber":"9971462546",
  		"txnMode": "ALL",
  		"iftEnable" :"YES"	
   
}'
POST /fi/remit/out/domestic/v2/remitterProfile HTTP/1.1
Host: api.instantpay.in
Accept: application/json
Content-Type: application/json
X-Ipay-Auth-Code: {{1}}
X-Ipay-Client-Id: {{clientID}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endpointIp}}
X-Ipay-Outlet-Id: {{outletId}}

{
"mobileNumber":"9971462546",
"txnMode": "ALL",
"iftEnable" :"YES"

   
}

Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus Message
dataArrayResponse Data (If Present)
timestampStringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Success",
    "data": {
        "mobileNumber": "9876543210",
        "firstName": "Test",
        "lastName": "TEST",
        "city": "Faridabad",
        "pincode": "121009",
        "limitPerTransaction": 5000,
        "limitTotal": "25000.00",
        "limitConsumed": "0.00",
        "limitAvailable": "25000.00",
        "limitDetails": {
            "maximumDailyLimit": "25000.00",
            "consumedDailyLimit": "0.00",
            "availableDailyLimit": "25000.00",
            "maximumMonthlyLimit": "25000.00",
            "consumedMonthlyLimit": "0.00",
            "availableMonthlyLimit": "25000.00"
        },
        "beneficiaries": [
            {
                "id": "9a1a15fd622b1af7eebf4acc305e1a85",
                "name": "Test",
                "account": "07160150991234",
                "ifsc": "ICIC0000716",
                "bank": "ICICI BANK LIMITED",
                "beneficiaryMobileNumber": "8860622709",
                "verificationDt": "2025-02-25 11:13:33"
            },
            
        ],
        "isTxnOtpRequired": true,
        "isTxnBioAuthRequired": false,
        "isImpsAllowed": true,
        "isNeftAllowed": true,
        "isFaceAuthAvailable": true,
        "validity": "2025-12-16 16:23:36",
        "referenceKey": "gtW8UnSNXvID3SdbWkWTQ6WnTfUMUMKYIhZkX/ACqBAyaAa3a8sU6/AFas0PFwH/",
        "pidOptionWadh": "E0jzJ/P8UopUHAieZn8CKqS4WPMi5ZSYXgfnlfkWjrc="
    },
    "timestamp": "2025-12-16 16:08:38",
    "ipay_uuid": "h000a09b220d-665b-4db7-a081-7d3d8116044b-Xgf5E3LoQPqK",
    "orderid": null,
    "environment": "LIVE",
  "internalCode": "null"
}

Headers
string
Defaults to 1

Auth-Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

Merchant unique ID

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json